Main Page | Namespace List | Class Hierarchy | Alphabetical List | Class List | Directories | File List | Namespace Members | Class Members | File Members | Related Pages

# ServantRetentionPolicyC.h File Reference

`#include "ace/config-all.h"`
`#include "portableserver_export.h"`
`#include "tao/ORB.h"`
`#include "tao/SystemException.h"`
`#include "tao/Environment.h"`
`#include "tao/Object.h"`
`#include "tao/Objref_VarOut_T.h"`
`#include "tao/PolicyC.h"`

Include dependency graph for ServantRetentionPolicyC.h:

This graph shows which files directly or indirectly include this file:

## Namespaces
namespace | PortableServer
namespace | TAO
## Classes
interface | PortableServer::ServantRetentionPolicy
struct | TAO::Objref_Traits< ::PortableServer::ServantRetentionPolicy >
## Defines
#define | TAO_EXPORT_MACRO TAO_PortableServer_Export
#define | _PORTABLESERVER_SERVANTRETENTIONPOLICY__VAR_OUT_CH_
#define | _PORTABLESERVER_SERVANTRETENTIONPOLICY_CH_
#define | _PORTABLESERVER_SERVANTRETENTIONPOLICY__TRAITS_
## Typedefs
typedef ServantRetentionPolicyValue & | ServantRetentionPolicyValue_out
typedef ServantRetentionPolicy * | ServantRetentionPolicy_ptr
typedef TAO_Objref_Var_T< ServantRetentionPolicy > | ServantRetentionPolicy_var
typedef TAO_Objref_Out_T< ServantRetentionPolicy > | ServantRetentionPolicy_out
## Enumerations
enum | ServantRetentionPolicyValue { RETAIN, NON_RETAIN }
## Functions
TAO_PortableServer_Export CORBA::Boolean | operator<< (TAO_OutputCDR &, PortableServer::ServantRetentionPolicyValue)
TAO_PortableServer_Export CORBA::Boolean | operator>> (TAO_InputCDR &, PortableServer::ServantRetentionPolicyValue &)

## Define Documentation

#define _PORTABLESERVER_SERVANTRETENTIONPOLICY__TRAITS_

#define _PORTABLESERVER_SERVANTRETENTIONPOLICY__VAR_OUT_CH_

#define _PORTABLESERVER_SERVANTRETENTIONPOLICY_CH_

#define TAO_EXPORT_MACRO TAO_PortableServer_Export

## Typedef Documentation

typedef TAO_Objref_Out_T< ServantRetentionPolicy > PortableServer::ServantRetentionPolicy_out

typedef ServantRetentionPolicy* PortableServer::ServantRetentionPolicy_ptr

typedef TAO_Objref_Var_T< ServantRetentionPolicy > PortableServer::ServantRetentionPolicy_var

typedef ServantRetentionPolicyValue& PortableServer::ServantRetentionPolicyValue_out

## Enumeration Type Documentation

enum ServantRetentionPolicyValue

  | Enumeration values:
  RETAIN |
  NON_RETAIN |

## Function Documentation

TAO_PortableServer_Export CORBA::Boolean operator<< | ( | TAO_OutputCDR & | ,
|  | PortableServer::ServantRetentionPolicyValue |
| ) |

TAO_PortableServer_Export CORBA::Boolean operator>> | ( | TAO_InputCDR & | ,
|  | PortableServer::ServantRetentionPolicyValue & |
| ) |